Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.ApplicationAttribute

    java.lang.Object
      java.lang.Enum<Qt.ApplicationAttribute>
          com.trolltech.qt.core.Qt.ApplicationAttribute

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.ApplicationAttribute>

Enclosing interface:
  Qt

    public static enum Qt.ApplicationAttribute

extends java.lang.Enum<Qt.ApplicationAttribute>
implements QtEnumerator

This enum describes attributes that change the behavior of application-wide features. These are enabled and disabled using QCoreApplication::setAttribute(), and can be tested for with QCoreApplication::testAttribute().

Enum Constant Summary
`AA_AttributeCount` Internal.
`AA_ImmediateWidgetCreation` Ensures that widgets are created as soon as they are constructed.
`AA_MSWindowsUseDirect3DByDefault` Is a Windows specific attribute, that will make the Direct3D paint engine the default Qt widget paint engine.

Method Summary
`static Qt.ApplicationAttribute` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ApplicationAttribute` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.ApplicationAttribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AA_ImmediateWidgetCreation

    public static final Qt.ApplicationAttribute AA_ImmediateWidgetCreation

  Ensures that widgets are created as soon as they are constructed. By default, resources for widgets are allocated on demand to improve efficiency and minimize resource usage. Setting or clearing this attribute affects widgets constructed after the change. Setting it tells Qt to create toplevel windows immediately. Therefore, if it is important to minimize resource consumption, do not set this attribute.

### AA_MSWindowsUseDirect3DByDefault

    public static final Qt.ApplicationAttribute AA_MSWindowsUseDirect3DByDefault

  Is a Windows specific attribute, that will make the Direct3D paint engine the default Qt widget paint engine. Note that you can toggle usage of the Direct3D engine on individual QWidgets by setting/clearing the `WA_MSWindowsUseDirect3D` attribute on a specific widget. This functionality is experimental.

### AA_AttributeCount

    public static final Qt.ApplicationAttribute AA_AttributeCount

  Internal.

Method Detail

### values

    public static final Qt.ApplicationAttribute[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.ApplicationAttribute c : Qt.ApplicationAttribute.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.ApplicationAttribute valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.ApplicationAttribute resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD